/*
 *******************************************************************************
 * NwCfgDlg.h : header file
 *******************************************************************************
 */

#ifndef __NWCFGDLG_H__
#define __NWCFGDLG_H__

#include "resource.h"

/*
 *******************************************************************************
 * CNewConfigDialog class
 *******************************************************************************
 */
class CNewConfigDialog : public CDialog
{
  // data members
  private:
	char		m_cConfigType;
	int			m_iCurSel;
	char		m_cConfig;
	char		m_szConfigName[40];
	
	CListBox	*m_p_oListConfig;

  // Construction
  public:
	CNewConfigDialog(char _cConfigType, CWnd* pParent = NULL);   // standard constructor
	char *m_fn_szGetConfigName( void ) {return m_szConfigName; }
	int  m_fn_cGetConfigIndex( void ) {return m_cConfig; }

  // Dialog Data
	//{{AFX_DATA(CNewConfigDialog)
	enum { IDD = IDD_DIALOG_NEWCONFIG };
	//}}AFX_DATA

  // Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogFileList)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CNewConfigDialog)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListConfig();
	afx_msg void OnButtonHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnButtonDelete();
	afx_msg void OnButtonRename();
	afx_msg void OnKillfocusEditName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //__NWCFGDLG_H__
